/*
 * named constants stored in a hash
 */

typedef void (*constkvcb)( char *name, int n, void *extra );

extern void init_consthash( int argc, char ** argv );
extern void destroy_consthash( void );
extern int lookup_const( char * constname );
extern void foreach_constant( constkvcb cb, void * extra );
